require "player" 
require "enemy"
require "menus"
function love.load()
	fullscreen = false
	font1 = love.graphics.newFont("arcadepix.ttf",50)
	largeFont = love.graphics.newFont("arcadepix.ttf",100)
	playerIsAlive = true
	love.window.setTitle("BloxDodger")
	playerload()
	love.graphics.setFont(font1)
	LOAD_ENEMIES()
	gamestate = "menu"
	button_spawn(600,300,"Play!","start")
	button_spawn(475,400,"Toggle Fullscreen","tfs")
	button_spawn(600,500,"Quit","quit")
end

function love.update(dt)
	playermove(dt)
	keyDetect(dt)
	edgeDetect(dt)
	UPDATE_ENEMIES(dt)
	ENEMY_CYCLE(dt)
	if gamestate == "game" then
		standStillDetect(dt)
	end
	if fullscreen == true then
		love.window.setFullscreen(true)
	else
		love.window.setFullscreen(false)
	end
end

function love.draw()
	
	if gamestate == "game" then
		if playerIsAlive == true then
			DRAW_ENEMIES()
			playerdraw()
		else
			gamestate = "menu"
		end
	elseif gamestate == "menu"then
		button_draw()
		love.graphics.setColor(255,52,52)
		love.graphics.setFont(largeFont)
		love.graphics.print("BloxDodger",450,100)
	end
end

function keyDetect()
	if love.keyboard.isDown("escape") then
		love.event.quit()
	end
end

function love.mousepressed(x,y)
	if gamestate == "menu" then
		button_click(x,y)
	end
end