--Player Class

function playerload()
	c = {}
	c.x = 600
	c.y = 400
	c.xVel = 0
	c.yVel = 0
	c.width = 32
	c.height = 32
	c.speed = 500
	c.friction = 0.9
	c.timeStill = 0
	c.timeStillLim = 4

	playerImage = love.graphics.newImage("textures/charDef.png")

end
function playermove(dt)
	if love.keyboard.isDown("w") then
		c.y = c.y - c.speed * dt
	end
	if love.keyboard.isDown("s") then
		c.y = c.y + c.speed * dt
	end
	if love.keyboard.isDown("a") then
		c.x = c.x - c.speed * dt
	end
	if love.keyboard.isDown("d") then
		c.x = c.x + c.speed * dt
	end
end

function edgeDetect()
	if c.x < -30 then
		c.x = love.window.getWidth()
	end
	if c.x > love.window.getWidth() then
		c.x = 0
	end
	if c.y < -30 then
		c.y = love.window.getHeight()
	end
	if c.y > love.window.getHeight() then
		c.y = 0
	end
end

function playerdraw()
	love.graphics.draw(playerImage,c.x,c.y)
end

function standStillDetect(dt)
	if love.keyboard.isDown("w") or love.keyboard.isDown("a") or love.keyboard.isDown("s") or love.keyboard.isDown("d") then
		c.timeStill = 0
	else
		c.timeStill = c.timeStill + dt
	end
	print(c.timeStill)
	if c.timeStill > c.timeStillLim then
		playerIsAlive = false
		c.timeStill = 0
	end
end